# Class CIM_LibraryExchange
extends CIM_Dependency

LibraryExchange indicates that two StorageLibraries are connected through their InterLibraryPorts.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_LibraryExchange

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | LibraryExchange indicates that two StorageLibraries are connected through their InterLibraryPorts.
UMLPackagePath | string | CIM::Device::StorageLib
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CurrentlyAccessingPort | uint16 |
Description | string | Enumeration indicating whether the Antecedent (value=1), Dependent (value=2), or neither Library (value=3) currently has access to the Port.
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Antecedent, Dependent, Neither

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LibraryExchange | CIM_InterLibraryPort
Dependent | CIM_LibraryExchange | CIM_InterLibraryPort

## Class Methods